Avro C#

Public Member Functions | Properties | List of all members
Avro.Generic.DatumReader< T > Interface Template Reference

Defines the interface for an object that reads data of a schema. More...

Inheritance diagram for Avro.Generic.DatumReader< T >:

## Public Member Functions
T | Read (T reuse, Decoder decoder)
| Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned. More...

## Properties
Schema | ReaderSchema`[get]`
| Schema used to read the data. More...
Schema | WriterSchema`[get]`
| Schema that was used to write the data. More...

## Detailed Description

Defines the interface for an object that reads data of a schema.

Template Parameters

  T | Type of the in-memory data representation.

## Member Function Documentation

## ◆ Read()

T Avro.Generic.DatumReader< T >.Read | ( | T | reuse,
|  | Decoder | decoder
| ) |  |

Read a datum. Traverse the schema, depth-first, reading all leaf values in the schema into a datum that is returned. If the provided datum is non-null it may be reused and returned.

Parameters

  reuse | Optional object to deserialize the datum into. May be null.
  decoder | Decoder to read data from.

Returns
  Deserialized datum.

Implemented in Avro.Generic.PreresolvingDatumReader< T >, Avro.Reflect.ReflectReader< T >, Avro.Specific.SpecificReader< T >, and Avro.Generic.GenericReader< T >.

## Property Documentation

## ◆ ReaderSchema

Schema Avro.Generic.DatumReader< T >.ReaderSchema
| get

Schema used to read the data.

## ◆ WriterSchema

Schema Avro.Generic.DatumReader< T >.WriterSchema
| get

Schema that was used to write the data.

The documentation for this interface was generated from the following file:

- src/apache/main/Generic/DatumReader.cs